#include <iostream>
#include <vector>

using namespace std;

int minf(int a,int b){
    return a<b?a:b;
}

int main()
{
    int n;
    cin>>n;
    vector<int> a(n);
    int i;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    vector<int> prefiks(n+1);
    prefiks[0]=0;
    for(i=1;i<=n;i++){
        if(prefiks[i-1]>a[i-1]){
            prefiks[i]=prefiks[i-1];
        }
        else{
            prefiks[i]=a[i-1];
        }
    }
    vector<int> sufiks(n+1);
    sufiks[n]=0;
    for(i=n-1;i>=0;i--){
        if(sufiks[i+1]>a[i]){
            sufiks[i]=sufiks[i+1];
        }
        else{
            sufiks[i]=a[i];
        }
    }
    int res=0;
    for(i=0;i<n;i++){
        if(minf(sufiks[i+1],prefiks[i])>a[i]){
            res+=minf(sufiks[i+1],prefiks[i])-a[i];
        }
    }
    cout<<res<<endl;
    return 0;
}
